Bug 203690 - [PATCH] games/xboard-devel: Update to 4.8.0.20151020.3
Summary: [PATCH] games/xboard-devel: Update to 4.8.0.20151020.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-10-11 03:25 UTC by Kalten
Modified: 2015-11-02 21:47 UTC (History)
1 user (show)

See Also:


Attachments
games/xboard-devel: update to 4.8.0.20150806.3 patch (8.70 KB, patch)
2015-10-11 03:25 UTC, Kalten
no flags Details | Diff
log: make.* output (42.28 KB, text/plain)
2015-10-11 03:29 UTC, Kalten
no flags Details
log: poudriere testport output (96.90 KB, text/plain)
2015-10-11 03:30 UTC, Kalten
no flags Details
games/xboard-devel: update from r397976 to 4.8.0.20151020.3 patch [2] (9.12 KB, patch)
2015-10-26 21:49 UTC, Kalten
koobs: maintainer-approval+
Details | Diff
log: make.* output [2] (43.01 KB, text/plain)
2015-10-26 21:54 UTC, Kalten
no flags Details
log: poudriere testport output [2] (96.95 KB, text/plain)
2015-10-26 21:55 UTC, Kalten
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kalten 2015-10-11 03:25:10 UTC
Created attachment 161895 [details]
games/xboard-devel: update to 4.8.0.20150806.3 patch

H.G.Muller has released a new version some time ago
http://hgm.nubati.net/cgi-bin/gitweb.cgi/xboard.git

* This attachment brings the new version into our portstree.
* »files/patch-xboard.conf.in« has been “renamed” (not only!) to
  »files/patch-xboard.conf« following the change in the source of xboard
  (the attached patch file may reflect that in a bad way). Do not miss that
  the filename in the patchfile had to be changed too—so a simple rename will
  not do. But: the attached patch file should take care of all these aspects
  correctly.

The output of »portlint -AC« with comments:
(it looks worse than it is—these warning are (mainly) results of this port
being a slave port and portlint(1) not checking correctly in such a case)
------------------------------------------------------------------------
> WARN: Makefile: ZIPPY is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MZIPPY appears.
> WARN: Makefile: SOX is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MSOX appears.
> WARN: Makefile: ALSA is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MALSA appears.
> WARN: Makefile: XAW is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MXAW appears.
> WARN: Makefile: XAW3D is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MXAW3D appears.
> WARN: Makefile: GTK2 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MGTK2 appears.
> WARN: Makefile: FAIRYMAX is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MFAIRYMAX appears.
> WARN: Makefile: CRAFTY is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MCRAFTY appears.
> WARN: Makefile: GNUCHESS is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MGNUCHESS appears.
> WARN: Makefile: KNIGHTCAP is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MKNIGHTCAP appears.
> WARN: Makefile: PHALANX is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MPHALANX appears.
As mentioned in bug #193272, comment #5: They are included from
games/xboard/Makefile but portlint(1) does not check there.

> WARN: Makefile: Consider adding support for a NLS knob to conditionally
> disable gettext support.
As mentioned in bug #193272, comment #5: This is taken care of in the
included games/xboard/Makefile but portlint(1) does not check there.

> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section
> empty, to make SVN happy.
It is not a new port.

> WARN: Makefile: new ports should not set PORTREVISION.
> WARN: Makefile: new ports should not set PORTEPOCH.
It is not a new port.
As mentioned in bug #193272, comment #5: We are slave to games/xboard
and have to reset these two variables.

> WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
As mentioned in bug #193272, comment #5: We are a devel-port and need
to do that.

> WARN: […]/ports/default/games/xboard-devel/../xboard/files/patch-xboard.conf:
> patch was not generated using ``make makepatch''.  It is recommended to use
> ``make makepatch'' when you need to [re-]generate a patch to ensure proper
> patch format.
I have tried that too (deletes date information to the right of the filename,
nothing more) but the warning remains.

> 0 fatal errors and 17 warnings found.
------------------------------------------------------------------------

poudriere testport output and »setenv DEVELOPER yes; make clean;
make stage && make check-plist && make stage-qa && make package« output
will follow shortly.

Thank you in advance for attending to this!
 Kalten
Comment 1 Kalten 2015-10-11 03:29:54 UTC
Created attachment 161896 [details]
log: make.* output

setenv DEVELOPER yes ; make clean ; make stage && make check-plist && make stage-qa && make package
Comment 2 Kalten 2015-10-11 03:30:30 UTC
Created attachment 161897 [details]
log: poudriere testport output
Comment 3 Kalten 2015-10-26 21:49:46 UTC
Created attachment 162486 [details]
games/xboard-devel: update from r397976 to 4.8.0.20151020.3 patch [2]

Some changes have occurred at xboard—as nobody seems to have taken this PR
by now I am declaring the old patch as obsolete and hereby submitting a new
one updating to a far more recent version (4.8.0.20151020.3) starting (as
the old one did) from the current version in the ports (r397976).

The output of »portlint -AC« has not changed compared to that of the older
version—please see comment #0 for the output including comments on it.

poudriere testport output and »setenv DEVELOPER yes; make clean;
make stage && make check-plist && make stage-qa && make package« output
will follow shortly (as some people do wish them to be added).

Regards,
 Kalten
Comment 4 Kalten 2015-10-26 21:54:09 UTC
Created attachment 162487 [details]
log: make.* output [2]

setenv DEVELOPER yes ; make clean ; make stage && make check-plist && make stage-qa && make package
Comment 5 Kalten 2015-10-26 21:55:31 UTC
Created attachment 162488 [details]
log: poudriere testport output [2]
Comment 6 commit-hook freebsd_committer 2015-10-28 08:07:49 UTC
A commit references this bug:

Author: riggs
Date: Wed Oct 28 08:07:25 UTC 2015
New revision: 400374
URL: https://svnweb.freebsd.org/changeset/ports/400374

Log:
  Update to recent snapshot 4.8.0.20151020.3

  PR:		203690
  Submitted by:	kalten@gmx.at (maintainer)

Changes:
  head/games/xboard-devel/Makefile
  head/games/xboard-devel/distinfo
  head/games/xboard-devel/files/patch-Makefile.am
  head/games/xboard-devel/files/patch-configure.ac
  head/games/xboard-devel/files/patch-xboard.conf
  head/games/xboard-devel/files/patch-xboard.conf.in
  head/games/xboard-devel/pkg-plist
Comment 7 Thomas Zander freebsd_committer 2015-10-28 09:27:31 UTC
Just a small FYI:
The @dir entries in plist are no longer necessary if the port installs a file in this directory. See https://www.freebsd.org/doc/en/books/porters-handbook/plist-keywords.html
Comment 8 Kalten 2015-11-02 21:47:44 UTC
(In reply to Thomas Zander from comment #7)
Thank you for correcting and committing!

> The @dir entries in plist are no longer necessary if the port installs a file
> in this directory.
> See https://www.freebsd.org/doc/en/books/porters-handbook/plist-keywords.html
Ah! Very well. Thank you!

Regards,
 Kalten